'''
Created on 28/01/2011

Various common core functions used by ecl_create.

@author: Daniel Stonier
'''

import os
import re
import sys
import subprocess
import roslib

class Console:
    bold = "\033[1m"
    reset = "\033[0;0m"
    red = "\033[31m"

def red_string(msg):
    """bound string with console symbols for red output"""
    return Console.red + msg + Console.reset

def bold_string(msg):
    """bound string with console symbols for bold output"""
    return Console.bold + msg + Console.reset

def short_package_name(package_name):
    """removes the leading ecl_ from a package name (if it exists)"""
    short_version = re.sub(r'ecl_','',package_name)
    return short_version

# Finds and reads one of the templates.
def read_template(tmplf):
    f = open(tmplf, 'r')
    try:
        t = f.read()
    finally:
        f.close()
    return t

# This inserts the labelled variables into the template wherever the corresponding
# %package, %short_package_name, %description and %depends is found.
def instantiate_template(template, package, short_package_name, description, author, depends):
    return template%locals()
