'''
Created on Jul 27, 2010

This wraps the rosdoc function with some functions to temporarily switch out the 
rosdoc doxygen template and switch back in when doing ecl docs. 

@author: Daniel Stonier
'''

import roslib; roslib.load_manifest('rosdoc')
import rosdoc; roslib.load_manifest('ecl_doc')
import shutil

def copy_patched_doxy_template():
    patched_template = roslib.packages.get_pkg_dir('ecl_doc')+"/templates/doxy.template"
    rosdoc_dir = roslib.packages.get_pkg_dir('rosdoc')
    shutil.copyfile(patched_template,rosdoc_dir+'/templates/doxy.template')

def copy_original_doxy_template():
    original_template = roslib.packages.get_pkg_dir('ecl_doc')+"/templates/doxy.template.original"
    rosdoc_dir = roslib.packages.get_pkg_dir('rosdoc')
    shutil.copyfile(original_template,rosdoc_dir+'/templates/doxy.template')
        
def main():
    copy_patched_doxy_template()
    rosdoc.main()
#    copy_original_doxy_template()

if __name__ == "__main__":
    main()

